import { DirectionType } from '../common';
declare const _default: import("vue").DefineComponent<{
    title: StringConstructor;
    titleClass: StringConstructor;
    titleWidth: (StringConstructor | NumberConstructor)[];
    titleAlign: {
        type: import("vue").PropType<import("../common").HorizontalAlignType>;
        default: string;
    };
    hideTitle: BooleanConstructor;
    required: BooleanConstructor;
    leftIcon: StringConstructor;
    leftIconSize: import("vue").PropType<string>;
    leftIconColor: StringConstructor;
    leftIconProps: ObjectConstructor;
    content: import("vue").PropType<string | undefined>;
    contentClass: StringConstructor;
    contentAlign: import("vue").PropType<import("../common").HorizontalAlignType>;
    disabled: BooleanConstructor;
    suffix: StringConstructor;
    description: StringConstructor;
    rightIcon: StringConstructor;
    rightIconSize: import("vue").PropType<string>;
    rightIconColor: StringConstructor;
    rightIconProps: ObjectConstructor;
    arrow: BooleanConstructor;
    border: {
        type: BooleanConstructor;
        default: undefined;
    };
    layout: import("vue").PropType<DirectionType | undefined>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "click"[], "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: StringConstructor;
    titleClass: StringConstructor;
    titleWidth: (StringConstructor | NumberConstructor)[];
    titleAlign: {
        type: import("vue").PropType<import("../common").HorizontalAlignType>;
        default: string;
    };
    hideTitle: BooleanConstructor;
    required: BooleanConstructor;
    leftIcon: StringConstructor;
    leftIconSize: import("vue").PropType<string>;
    leftIconColor: StringConstructor;
    leftIconProps: ObjectConstructor;
    content: import("vue").PropType<string | undefined>;
    contentClass: StringConstructor;
    contentAlign: import("vue").PropType<import("../common").HorizontalAlignType>;
    disabled: BooleanConstructor;
    suffix: StringConstructor;
    description: StringConstructor;
    rightIcon: StringConstructor;
    rightIconSize: import("vue").PropType<string>;
    rightIconColor: StringConstructor;
    rightIconProps: ObjectConstructor;
    arrow: BooleanConstructor;
    border: {
        type: BooleanConstructor;
        default: undefined;
    };
    layout: import("vue").PropType<DirectionType | undefined>;
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
}, {
    required: boolean;
    titleAlign: import("../common").HorizontalAlignType;
    hideTitle: boolean;
    disabled: boolean;
    arrow: boolean;
    border: boolean;
}>;
export default _default;
