import CheckboxGroup from './checkbox-group.vue';
export declare const DCheckboxGroup: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            disabled: boolean;
            options: import("..").DataType[] | undefined;
            direction: import("..").DirectionType;
            readonly: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            modelValue: {
                type: import("vue").PropType<(string | number)[]>;
                required: boolean;
            };
            direction: {
                type: import("vue").PropType<import("..").DirectionType>;
                default: string;
            };
            options: {
                type: import("vue").PropType<import("..").DataType[] | undefined>;
                default: undefined;
            };
            max: NumberConstructor;
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "options" | "direction" | "readonly">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:model-value", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            modelValue: {
                type: import("vue").PropType<(string | number)[]>;
                required: boolean;
            };
            direction: {
                type: import("vue").PropType<import("..").DirectionType>;
                default: string;
            };
            options: {
                type: import("vue").PropType<import("..").DataType[] | undefined>;
                default: undefined;
            };
            max: NumberConstructor;
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        }, {
            wrapperClassName: string;
            updateModelValue: (value: (string | number)[]) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:model-value"[], string, {
            disabled: boolean;
            options: import("..").DataType[] | undefined;
            direction: import("..").DirectionType;
            readonly: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<(string | number)[]>;
            required: boolean;
        };
        direction: {
            type: import("vue").PropType<import("..").DirectionType>;
            default: string;
        };
        options: {
            type: import("vue").PropType<import("..").DataType[] | undefined>;
            default: undefined;
        };
        max: NumberConstructor;
        disabled: BooleanConstructor;
        readonly: BooleanConstructor;
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        wrapperClassName: string;
        updateModelValue: (value: (string | number)[]) => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<(string | number)[]>;
        required: boolean;
    };
    direction: {
        type: import("vue").PropType<import("..").DirectionType>;
        default: string;
    };
    options: {
        type: import("vue").PropType<import("..").DataType[] | undefined>;
        default: undefined;
    };
    max: NumberConstructor;
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
}, {
    wrapperClassName: string;
    updateModelValue: (value: (string | number)[]) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:model-value"[], "update:model-value", {
    disabled: boolean;
    options: import("..").DataType[] | undefined;
    direction: import("..").DirectionType;
    readonly: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type CheckboxGroupProps } from './props';
export default DCheckboxGroup;
declare module 'vue' {
    interface GlobalComponents {
        DCheckboxGroup: typeof CheckboxGroup;
    }
}
