import { ExtractPropTypes, PropType } from 'vue';
export declare type CheckboxProps = ExtractPropTypes<typeof CHECKBOX_PROPS>;
export declare const CHECKBOX_PROPS: {
    value: {
        type: PropType<string | number>;
        default: string;
    };
    label: StringConstructor;
    defaultChecked: BooleanConstructor;
    icon: StringConstructor;
    name: StringConstructor;
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
