import DatePicker from './date-picker.vue';
export declare const DDatePicker: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            value: import("./props").DatePickerValueType;
            modelValue: import("./props").DatePickerValueType;
            type: import("./props").DatePickerType;
            disabled: boolean;
            readonly: boolean;
            formatter: import("./props").FormatterType<string>;
            visible: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<import("./props").DatePickerValueType>;
                default: undefined;
            };
            modelValue: {
                type: import("vue").PropType<import("./props").DatePickerValueType>;
                default: undefined;
            };
            visible: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: StringConstructor;
            type: {
                type: import("vue").PropType<import("./props").DatePickerType>;
                default: string;
            };
            formatter: {
                type: import("vue").PropType<import("./props").FormatterType<string>>;
                default: undefined;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "modelValue" | "type" | "disabled" | "readonly" | "formatter" | "visible">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:value" | "update:model-value", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<import("./props").DatePickerValueType>;
                default: undefined;
            };
            modelValue: {
                type: import("vue").PropType<import("./props").DatePickerValueType>;
                default: undefined;
            };
            visible: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: StringConstructor;
            type: {
                type: import("vue").PropType<import("./props").DatePickerType>;
                default: string;
            };
            formatter: {
                type: import("vue").PropType<import("./props").FormatterType<string>>;
                default: undefined;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        }, {
            visible: import("vue").Ref<boolean>;
            columns: import("vue").Ref<{
                [x: string]: any;
                label: string;
                value: string | number;
                disabled?: boolean | undefined;
                type: "year" | "month" | "day" | "hour" | "minute" | "second";
            }[][]>;
            pickerValue: import("vue").Ref<string[]>;
            displayValue: import("vue").Ref<string>;
            handleChange: (value: import("../picker/props").PickerValueType, columnValue: import("./types").DateTimePickerColumnType) => void;
            handleConfirm: (value: import("../picker/props").PickerValueType) => void;
            showPicker: () => void;
            hidePicker: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:value" | "update:model-value")[], string, {
            value: import("./props").DatePickerValueType;
            modelValue: import("./props").DatePickerValueType;
            type: import("./props").DatePickerType;
            disabled: boolean;
            readonly: boolean;
            formatter: import("./props").FormatterType<string>;
            visible: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<import("./props").DatePickerValueType>;
            default: undefined;
        };
        modelValue: {
            type: import("vue").PropType<import("./props").DatePickerValueType>;
            default: undefined;
        };
        visible: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: StringConstructor;
        type: {
            type: import("vue").PropType<import("./props").DatePickerType>;
            default: string;
        };
        formatter: {
            type: import("vue").PropType<import("./props").FormatterType<string>>;
            default: undefined;
        };
        disabled: BooleanConstructor;
        readonly: BooleanConstructor;
    }>> & {
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        visible: import("vue").Ref<boolean>;
        columns: import("vue").Ref<{
            [x: string]: any;
            label: string;
            value: string | number;
            disabled?: boolean | undefined;
            type: "year" | "month" | "day" | "hour" | "minute" | "second";
        }[][]>;
        pickerValue: import("vue").Ref<string[]>;
        displayValue: import("vue").Ref<string>;
        handleChange: (value: import("../picker/props").PickerValueType, columnValue: import("./types").DateTimePickerColumnType) => void;
        handleConfirm: (value: import("../picker/props").PickerValueType) => void;
        showPicker: () => void;
        hidePicker: () => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<import("./props").DatePickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<import("./props").DatePickerValueType>;
        default: undefined;
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    title: StringConstructor;
    type: {
        type: import("vue").PropType<import("./props").DatePickerType>;
        default: string;
    };
    formatter: {
        type: import("vue").PropType<import("./props").FormatterType<string>>;
        default: undefined;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
}, {
    visible: import("vue").Ref<boolean>;
    columns: import("vue").Ref<{
        [x: string]: any;
        label: string;
        value: string | number;
        disabled?: boolean | undefined;
        type: "year" | "month" | "day" | "hour" | "minute" | "second";
    }[][]>;
    pickerValue: import("vue").Ref<string[]>;
    displayValue: import("vue").Ref<string>;
    handleChange: (value: import("../picker/props").PickerValueType, columnValue: import("./types").DateTimePickerColumnType) => void;
    handleConfirm: (value: import("../picker/props").PickerValueType) => void;
    showPicker: () => void;
    hidePicker: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:value" | "update:model-value")[], "update:value" | "update:model-value", {
    value: import("./props").DatePickerValueType;
    modelValue: import("./props").DatePickerValueType;
    type: import("./props").DatePickerType;
    disabled: boolean;
    readonly: boolean;
    formatter: import("./props").FormatterType<string>;
    visible: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type DateTimePickerColumnType } from './types';
export { type FormatterType, type DatePickerProps } from './props';
export default DDatePicker;
declare module 'vue' {
    interface GlobalComponents {
        DDatePicker: typeof DatePicker;
    }
}
