import { App } from 'vue';
import 'virtual:svg-icons-register';
import './style/index.scss';
import * as components from './components';
import { FormGlobalConfigType } from './context';
export declare type ComponentNames = keyof typeof components extends infer T ? T extends `D${infer Name}` ? `D${Name}` : never : never;
export * from './components';
export * from './common';
export * from './utils';
export * from './validator';
export { version } from '../package.json';
declare const _default: {
    install: (app: App<any>, options?: FormGlobalConfigType | undefined) => void;
};
export default _default;
declare module '@vue/runtime-core' {
    interface ComponentCustomProperties {
        $DForm: FormGlobalConfigType;
    }
}
