import Input from './input.vue';
export declare const DInput: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            name: string;
            value: string | number | undefined;
            modelValue: string | number | undefined;
            required: boolean;
            type: "number" | "text" | "password" | "email" | "url";
            label: string;
            leftIcon: string;
            leftIconSize: string;
            leftIconColor: string;
            disabled: boolean;
            suffix: string;
            readonly: boolean;
            labelWidth: string;
            labelClass: string;
            labelAlign: import("..").HorizontalAlignType;
            hideLabel: boolean;
            colon: boolean;
            placeholder: string;
            autofocus: boolean;
            inputAlign: import("..").HorizontalAlignType;
            maxlength: number;
            autocomplete: string;
            clearable: boolean;
            formatter: (value: string | number | undefined) => string;
            formatterTrigger: import("..").FieldFormatterTrigger | undefined;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<string | number | undefined>;
                default: undefined;
            };
            modelValue: {
                type: import("vue").PropType<string | number | undefined>;
                default: undefined;
            };
            type: {
                type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
                default: string;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            label: {
                type: StringConstructor;
                default: string;
            };
            labelClass: {
                type: StringConstructor;
                default: string;
            };
            labelWidth: {
                type: StringConstructor;
                default: string;
            };
            labelAlign: {
                type: import("vue").PropType<import("..").HorizontalAlignType>;
                default: string;
            };
            hideLabel: BooleanConstructor;
            leftIcon: {
                type: StringConstructor;
                default: string;
            };
            leftIconSize: {
                type: import("vue").PropType<string>;
                default: string;
            };
            leftIconColor: {
                type: StringConstructor;
                default: string;
            };
            colon: BooleanConstructor;
            required: BooleanConstructor;
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
            autofocus: BooleanConstructor;
            inputAlign: {
                type: import("vue").PropType<import("..").HorizontalAlignType>;
                default: string;
            };
            maxlength: {
                type: NumberConstructor;
                default: number;
            };
            suffix: {
                type: StringConstructor;
                default: string;
            };
            autocomplete: {
                type: StringConstructor;
                default: string;
            };
            clearable: BooleanConstructor;
            formatter: {
                type: import("vue").PropType<(value: string | number | undefined) => string>;
                default: null;
            };
            formatterTrigger: {
                type: import("vue").PropType<import("..").FieldFormatterTrigger | undefined>;
                default: string;
            };
        }>> & {
            onBlur?: ((...args: any[]) => any) | undefined;
            onFocus?: ((...args: any[]) => any) | undefined;
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
            onClear?: ((...args: any[]) => any) | undefined;
            "onClick-input"?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "name" | "value" | "modelValue" | "required" | "type" | "label" | "leftIcon" | "leftIconSize" | "leftIconColor" | "disabled" | "suffix" | "readonly" | "labelWidth" | "labelClass" | "labelAlign" | "hideLabel" | "colon" | "placeholder" | "autofocus" | "inputAlign" | "maxlength" | "autocomplete" | "clearable" | "formatter" | "formatterTrigger">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:model-value" | "blur" | "clear" | "focus" | "click-input", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<string | number | undefined>;
                default: undefined;
            };
            modelValue: {
                type: import("vue").PropType<string | number | undefined>;
                default: undefined;
            };
            type: {
                type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
                default: string;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            label: {
                type: StringConstructor;
                default: string;
            };
            labelClass: {
                type: StringConstructor;
                default: string;
            };
            labelWidth: {
                type: StringConstructor;
                default: string;
            };
            labelAlign: {
                type: import("vue").PropType<import("..").HorizontalAlignType>;
                default: string;
            };
            hideLabel: BooleanConstructor;
            leftIcon: {
                type: StringConstructor;
                default: string;
            };
            leftIconSize: {
                type: import("vue").PropType<string>;
                default: string;
            };
            leftIconColor: {
                type: StringConstructor;
                default: string;
            };
            colon: BooleanConstructor;
            required: BooleanConstructor;
            placeholder: {
                type: StringConstructor;
                default: string;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
            autofocus: BooleanConstructor;
            inputAlign: {
                type: import("vue").PropType<import("..").HorizontalAlignType>;
                default: string;
            };
            maxlength: {
                type: NumberConstructor;
                default: number;
            };
            suffix: {
                type: StringConstructor;
                default: string;
            };
            autocomplete: {
                type: StringConstructor;
                default: string;
            };
            clearable: BooleanConstructor;
            formatter: {
                type: import("vue").PropType<(value: string | number | undefined) => string>;
                default: null;
            };
            formatterTrigger: {
                type: import("vue").PropType<import("..").FieldFormatterTrigger | undefined>;
                default: string;
            };
        }>> & {
            onBlur?: ((...args: any[]) => any) | undefined;
            onFocus?: ((...args: any[]) => any) | undefined;
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
            onClear?: ((...args: any[]) => any) | undefined;
            "onClick-input"?: ((...args: any[]) => any) | undefined;
        }, {
            bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
            innerValue: import("vue").WritableComputedRef<string | number | undefined>;
            inputClassName: import("vue").ComputedRef<string>;
            handleInput: (event: Event) => void;
            handleClear: (event: MouseEvent) => void;
            handleBlur: (event: Event) => void;
            handleFocus: (event: Event) => void;
            handleClick: (event: MouseEvent) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "blur" | "clear" | "focus" | "click-input")[], string, {
            name: string;
            value: string | number | undefined;
            modelValue: string | number | undefined;
            required: boolean;
            type: "number" | "text" | "password" | "email" | "url";
            label: string;
            leftIcon: string;
            leftIconSize: string;
            leftIconColor: string;
            disabled: boolean;
            suffix: string;
            readonly: boolean;
            labelWidth: string;
            labelClass: string;
            labelAlign: import("..").HorizontalAlignType;
            hideLabel: boolean;
            colon: boolean;
            placeholder: string;
            autofocus: boolean;
            inputAlign: import("..").HorizontalAlignType;
            maxlength: number;
            autocomplete: string;
            clearable: boolean;
            formatter: (value: string | number | undefined) => string;
            formatterTrigger: import("..").FieldFormatterTrigger | undefined;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string | number | undefined>;
            default: undefined;
        };
        modelValue: {
            type: import("vue").PropType<string | number | undefined>;
            default: undefined;
        };
        type: {
            type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
        labelClass: {
            type: StringConstructor;
            default: string;
        };
        labelWidth: {
            type: StringConstructor;
            default: string;
        };
        labelAlign: {
            type: import("vue").PropType<import("..").HorizontalAlignType>;
            default: string;
        };
        hideLabel: BooleanConstructor;
        leftIcon: {
            type: StringConstructor;
            default: string;
        };
        leftIconSize: {
            type: import("vue").PropType<string>;
            default: string;
        };
        leftIconColor: {
            type: StringConstructor;
            default: string;
        };
        colon: BooleanConstructor;
        required: BooleanConstructor;
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        disabled: BooleanConstructor;
        readonly: BooleanConstructor;
        autofocus: BooleanConstructor;
        inputAlign: {
            type: import("vue").PropType<import("..").HorizontalAlignType>;
            default: string;
        };
        maxlength: {
            type: NumberConstructor;
            default: number;
        };
        suffix: {
            type: StringConstructor;
            default: string;
        };
        autocomplete: {
            type: StringConstructor;
            default: string;
        };
        clearable: BooleanConstructor;
        formatter: {
            type: import("vue").PropType<(value: string | number | undefined) => string>;
            default: null;
        };
        formatterTrigger: {
            type: import("vue").PropType<import("..").FieldFormatterTrigger | undefined>;
            default: string;
        };
    }>> & {
        onBlur?: ((...args: any[]) => any) | undefined;
        onFocus?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        onClear?: ((...args: any[]) => any) | undefined;
        "onClick-input"?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
        innerValue: import("vue").WritableComputedRef<string | number | undefined>;
        inputClassName: import("vue").ComputedRef<string>;
        handleInput: (event: Event) => void;
        handleClear: (event: MouseEvent) => void;
        handleBlur: (event: Event) => void;
        handleFocus: (event: Event) => void;
        handleClick: (event: MouseEvent) => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    labelClass: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: StringConstructor;
        default: string;
    };
    labelAlign: {
        type: import("vue").PropType<import("..").HorizontalAlignType>;
        default: string;
    };
    hideLabel: BooleanConstructor;
    leftIcon: {
        type: StringConstructor;
        default: string;
    };
    leftIconSize: {
        type: import("vue").PropType<string>;
        default: string;
    };
    leftIconColor: {
        type: StringConstructor;
        default: string;
    };
    colon: BooleanConstructor;
    required: BooleanConstructor;
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
    autofocus: BooleanConstructor;
    inputAlign: {
        type: import("vue").PropType<import("..").HorizontalAlignType>;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    suffix: {
        type: StringConstructor;
        default: string;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    clearable: BooleanConstructor;
    formatter: {
        type: import("vue").PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: import("vue").PropType<import("..").FieldFormatterTrigger | undefined>;
        default: string;
    };
}>> & {
    onBlur?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    "onClick-input"?: ((...args: any[]) => any) | undefined;
}, {
    bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
    innerValue: import("vue").WritableComputedRef<string | number | undefined>;
    inputClassName: import("vue").ComputedRef<string>;
    handleInput: (event: Event) => void;
    handleClear: (event: MouseEvent) => void;
    handleBlur: (event: Event) => void;
    handleFocus: (event: Event) => void;
    handleClick: (event: MouseEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "blur" | "clear" | "focus" | "click-input")[], "update:model-value" | "blur" | "clear" | "focus" | "click-input", {
    name: string;
    value: string | number | undefined;
    modelValue: string | number | undefined;
    required: boolean;
    type: "number" | "text" | "password" | "email" | "url";
    label: string;
    leftIcon: string;
    leftIconSize: string;
    leftIconColor: string;
    disabled: boolean;
    suffix: string;
    readonly: boolean;
    labelWidth: string;
    labelClass: string;
    labelAlign: import("..").HorizontalAlignType;
    hideLabel: boolean;
    colon: boolean;
    placeholder: string;
    autofocus: boolean;
    inputAlign: import("..").HorizontalAlignType;
    maxlength: number;
    autocomplete: string;
    clearable: boolean;
    formatter: (value: string | number | undefined) => string;
    formatterTrigger: import("..").FieldFormatterTrigger | undefined;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type InputProps } from './props';
export default DInput;
declare module 'vue' {
    interface GlobalComponents {
        DInput: typeof Input;
    }
}
