import { CSSProperties, ExtractPropTypes, PropType } from 'vue';
export declare type OverlayProps = ExtractPropTypes<typeof OVERLAY_PROPS>;
export declare const OVERLAY_PROPS: {
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: PropType<string | number | undefined>;
        default: number;
    };
    overlayClass: {
        type: StringConstructor;
        default: string;
    };
    overlayStyle: {
        type: PropType<CSSProperties>;
        default: undefined;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    teleport: {
        type: PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
};
