import { PropType } from 'vue';
import { PickerColumnType } from './props';
import { DataType } from '../common';
export declare const pickerItemProps: {
    value: {
        type: PropType<string | number>;
        default: string;
    };
    options: {
        type: PropType<PickerColumnType[]>;
        default: () => never[];
    };
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    onChange: {
        type: PropType<(data: DataType) => void>;
        default: () => void;
    };
};
