import Popup from './popup.vue';
export declare const DPopup: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            round: boolean;
            visible: boolean;
            zIndex: number;
            duration: string | number | undefined;
            overlayStyle: import("vue").CSSProperties;
            closeOnClickOverlay: boolean;
            teleport: string | import("vue").RendererElement | null | undefined;
            overlay: boolean;
            placement: import("..").PlacementType;
            closeable: boolean;
            closeIcon: string;
            popupStyle: import("vue").CSSProperties;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            visible: BooleanConstructor;
            title: StringConstructor;
            placement: {
                type: import("vue").PropType<import("..").PlacementType>;
                default: string;
            };
            zIndex: {
                type: NumberConstructor;
                default: undefined;
            };
            duration: {
                type: import("vue").PropType<string | number | undefined>;
                default: number;
            };
            round: BooleanConstructor;
            closeable: BooleanConstructor;
            closeIcon: {
                type: StringConstructor;
                default: string;
            };
            teleport: {
                type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
                default: string;
            };
            popupClass: StringConstructor;
            popupStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: {};
            };
            overlay: {
                type: BooleanConstructor;
                default: boolean;
            };
            overlayClass: StringConstructor;
            overlayStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: {};
            };
            closeOnClickOverlay: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
            onOpen?: ((...args: any[]) => any) | undefined;
            onClose?: ((...args: any[]) => any) | undefined;
            onOpened?: ((...args: any[]) => any) | undefined;
            onClosed?: ((...args: any[]) => any) | undefined;
            "onClick-overlay-icon"?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "round" | "visible" | "zIndex" | "duration" | "overlayStyle" | "closeOnClickOverlay" | "teleport" | "overlay" | "placement" | "closeable" | "closeIcon" | "popupStyle">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:visible" | "open" | "close" | "opened" | "closed" | "click-overlay-icon", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            visible: BooleanConstructor;
            title: StringConstructor;
            placement: {
                type: import("vue").PropType<import("..").PlacementType>;
                default: string;
            };
            zIndex: {
                type: NumberConstructor;
                default: undefined;
            };
            duration: {
                type: import("vue").PropType<string | number | undefined>;
                default: number;
            };
            round: BooleanConstructor;
            closeable: BooleanConstructor;
            closeIcon: {
                type: StringConstructor;
                default: string;
            };
            teleport: {
                type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
                default: string;
            };
            popupClass: StringConstructor;
            popupStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: {};
            };
            overlay: {
                type: BooleanConstructor;
                default: boolean;
            };
            overlayClass: StringConstructor;
            overlayStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: {};
            };
            closeOnClickOverlay: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
            onOpen?: ((...args: any[]) => any) | undefined;
            onClose?: ((...args: any[]) => any) | undefined;
            onOpened?: ((...args: any[]) => any) | undefined;
            onClosed?: ((...args: any[]) => any) | undefined;
            "onClick-overlay-icon"?: ((...args: any[]) => any) | undefined;
        }, {
            transitionPosition: import("vue").ComputedRef<string>;
            classes: import("vue").ComputedRef<string>;
            style: import("vue").ComputedRef<import("vue").CSSProperties>;
            overlayZIndex: import("vue").Ref<number>;
            isCenter: import("vue").ComputedRef<boolean>;
            bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
            handleClose: () => void;
            onEnter: () => void;
            onAfterEnter: () => void;
            onLeave: () => void;
            onAfterLeave: () => void;
            handleClickIcon: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:visible" | "open" | "close" | "opened" | "closed" | "click-overlay-icon")[], string, {
            round: boolean;
            visible: boolean;
            zIndex: number;
            duration: string | number | undefined;
            overlayStyle: import("vue").CSSProperties;
            closeOnClickOverlay: boolean;
            teleport: string | import("vue").RendererElement | null | undefined;
            overlay: boolean;
            placement: import("..").PlacementType;
            closeable: boolean;
            closeIcon: string;
            popupStyle: import("vue").CSSProperties;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        visible: BooleanConstructor;
        title: StringConstructor;
        placement: {
            type: import("vue").PropType<import("..").PlacementType>;
            default: string;
        };
        zIndex: {
            type: NumberConstructor;
            default: undefined;
        };
        duration: {
            type: import("vue").PropType<string | number | undefined>;
            default: number;
        };
        round: BooleanConstructor;
        closeable: BooleanConstructor;
        closeIcon: {
            type: StringConstructor;
            default: string;
        };
        teleport: {
            type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
            default: string;
        };
        popupClass: StringConstructor;
        popupStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: {};
        };
        overlay: {
            type: BooleanConstructor;
            default: boolean;
        };
        overlayClass: StringConstructor;
        overlayStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: {};
        };
        closeOnClickOverlay: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
        onOpen?: ((...args: any[]) => any) | undefined;
        onClose?: ((...args: any[]) => any) | undefined;
        onOpened?: ((...args: any[]) => any) | undefined;
        onClosed?: ((...args: any[]) => any) | undefined;
        "onClick-overlay-icon"?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        transitionPosition: import("vue").ComputedRef<string>;
        classes: import("vue").ComputedRef<string>;
        style: import("vue").ComputedRef<import("vue").CSSProperties>;
        overlayZIndex: import("vue").Ref<number>;
        isCenter: import("vue").ComputedRef<boolean>;
        bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
        handleClose: () => void;
        onEnter: () => void;
        onAfterEnter: () => void;
        onLeave: () => void;
        onAfterLeave: () => void;
        handleClickIcon: () => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    visible: BooleanConstructor;
    title: StringConstructor;
    placement: {
        type: import("vue").PropType<import("..").PlacementType>;
        default: string;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    round: BooleanConstructor;
    closeable: BooleanConstructor;
    closeIcon: {
        type: StringConstructor;
        default: string;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
    popupClass: StringConstructor;
    popupStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
        default: {};
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    overlayClass: StringConstructor;
    overlayStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
        default: {};
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onOpen?: ((...args: any[]) => any) | undefined;
    onClose?: ((...args: any[]) => any) | undefined;
    onOpened?: ((...args: any[]) => any) | undefined;
    onClosed?: ((...args: any[]) => any) | undefined;
    "onClick-overlay-icon"?: ((...args: any[]) => any) | undefined;
}, {
    transitionPosition: import("vue").ComputedRef<string>;
    classes: import("vue").ComputedRef<string>;
    style: import("vue").ComputedRef<import("vue").CSSProperties>;
    overlayZIndex: import("vue").Ref<number>;
    isCenter: import("vue").ComputedRef<boolean>;
    bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
    handleClose: () => void;
    onEnter: () => void;
    onAfterEnter: () => void;
    onLeave: () => void;
    onAfterLeave: () => void;
    handleClickIcon: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:visible" | "open" | "close" | "opened" | "closed" | "click-overlay-icon")[], "update:visible" | "open" | "close" | "opened" | "closed" | "click-overlay-icon", {
    round: boolean;
    visible: boolean;
    zIndex: number;
    duration: string | number | undefined;
    overlayStyle: import("vue").CSSProperties;
    closeOnClickOverlay: boolean;
    teleport: string | import("vue").RendererElement | null | undefined;
    overlay: boolean;
    placement: import("..").PlacementType;
    closeable: boolean;
    closeIcon: string;
    popupStyle: import("vue").CSSProperties;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type PopupProps } from './props';
export default DPopup;
declare module 'vue' {
    interface GlobalComponents {
        DPopup: typeof Popup;
    }
}
