import { ExtractPropTypes } from 'vue';
export declare type TextareaProps = ExtractPropTypes<typeof TEXTAREA_PROPS>;
export declare const TEXTAREA_PROPS: {
    value: StringConstructor;
    modelValue: StringConstructor;
    maxlength: NumberConstructor;
    rows: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    showWordLimit: BooleanConstructor;
    autosize: BooleanConstructor;
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
