interface IUploadProgressEvent extends ProgressEvent {
    percent: number;
}
interface IRequestOptions {
    url: string;
    method?: string;
    data?: Record<string, any>;
    headers?: Record<string, string>;
    responseType?: XMLHttpRequest['responseType'];
    onProgress?: (event: IUploadProgressEvent) => void;
}
declare class Request {
    request({ url, method, data, headers, responseType, onProgress }: IRequestOptions): Promise<XMLHttpRequestResponseType | XMLHttpRequest>;
}
export { Request };
declare const _default: ({ url, method, data, headers, responseType, onProgress }: IRequestOptions) => Promise<XMLHttpRequestResponseType | XMLHttpRequest>;
export default _default;
