import Button from './button.vue';
export declare const DButton: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            link: boolean;
            icon: string;
            fill: "none" | "solid" | "outline";
            size: import("..").SizeType;
            disabled: boolean;
            loading: boolean;
            block: boolean;
            theme: import("..").ThemeType;
            shape: "default" | "rounded" | "rectangular";
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            theme: {
                type: import("vue").PropType<import("..").ThemeType>;
                default: string;
            };
            size: {
                type: import("vue").PropType<import("..").SizeType>;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            icon: {
                type: StringConstructor;
                default: undefined;
            };
            block: BooleanConstructor;
            fill: {
                type: import("vue").PropType<"none" | "solid" | "outline">;
                default: string;
            };
            shape: {
                type: import("vue").PropType<"default" | "rounded" | "rectangular">;
                default: string;
            };
            loading: BooleanConstructor;
            link: BooleanConstructor;
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "link" | "icon" | "fill" | "size" | "disabled" | "loading" | "block" | "theme" | "shape">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            theme: {
                type: import("vue").PropType<import("..").ThemeType>;
                default: string;
            };
            size: {
                type: import("vue").PropType<import("..").SizeType>;
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            icon: {
                type: StringConstructor;
                default: undefined;
            };
            block: BooleanConstructor;
            fill: {
                type: import("vue").PropType<"none" | "solid" | "outline">;
                default: string;
            };
            shape: {
                type: import("vue").PropType<"default" | "rounded" | "rectangular">;
                default: string;
            };
            loading: BooleanConstructor;
            link: BooleanConstructor;
        }>>, {
            wrapperClassName: import("vue").ComputedRef<string>;
            innerTextClassName: string;
            iconLoadingClassName: string;
            customIconClassName: string;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            link: boolean;
            icon: string;
            fill: "none" | "solid" | "outline";
            size: import("..").SizeType;
            disabled: boolean;
            loading: boolean;
            block: boolean;
            theme: import("..").ThemeType;
            shape: "default" | "rounded" | "rectangular";
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        theme: {
            type: import("vue").PropType<import("..").ThemeType>;
            default: string;
        };
        size: {
            type: import("vue").PropType<import("..").SizeType>;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        icon: {
            type: StringConstructor;
            default: undefined;
        };
        block: BooleanConstructor;
        fill: {
            type: import("vue").PropType<"none" | "solid" | "outline">;
            default: string;
        };
        shape: {
            type: import("vue").PropType<"default" | "rounded" | "rectangular">;
            default: string;
        };
        loading: BooleanConstructor;
        link: BooleanConstructor;
    }>> & import("vue").ShallowUnwrapRef<{
        wrapperClassName: import("vue").ComputedRef<string>;
        innerTextClassName: string;
        iconLoadingClassName: string;
        customIconClassName: string;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: import("vue").PropType<import("..").ThemeType>;
        default: string;
    };
    size: {
        type: import("vue").PropType<import("..").SizeType>;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    icon: {
        type: StringConstructor;
        default: undefined;
    };
    block: BooleanConstructor;
    fill: {
        type: import("vue").PropType<"none" | "solid" | "outline">;
        default: string;
    };
    shape: {
        type: import("vue").PropType<"default" | "rounded" | "rectangular">;
        default: string;
    };
    loading: BooleanConstructor;
    link: BooleanConstructor;
}>>, {
    wrapperClassName: import("vue").ComputedRef<string>;
    innerTextClassName: string;
    iconLoadingClassName: string;
    customIconClassName: string;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    link: boolean;
    icon: string;
    fill: "none" | "solid" | "outline";
    size: import("..").SizeType;
    disabled: boolean;
    loading: boolean;
    block: boolean;
    theme: import("..").ThemeType;
    shape: "default" | "rounded" | "rectangular";
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type ButtonProps } from './props';
export default DButton;
declare module 'vue' {
    interface GlobalComponents {
        DButton: typeof Button;
    }
}
