import CellGroup from './cell-group';
export declare const DCellGroup: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            border: boolean;
            round: boolean;
            cellContentAlign: import("..").HorizontalAlignType;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            title: import("vue").PropType<string | undefined>;
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            cellTitleWidth: StringConstructor;
            cellContentAlign: {
                type: import("vue").PropType<import("..").HorizontalAlignType>;
                default: undefined;
            };
            layout: import("vue").PropType<import("..").DirectionType>;
            border: {
                type: BooleanConstructor;
                default: undefined;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "border" | "round" | "cellContentAlign">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            title: import("vue").PropType<string | undefined>;
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            cellTitleWidth: StringConstructor;
            cellContentAlign: {
                type: import("vue").PropType<import("..").HorizontalAlignType>;
                default: undefined;
            };
            layout: import("vue").PropType<import("..").DirectionType>;
            border: {
                type: BooleanConstructor;
                default: undefined;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            border: boolean;
            round: boolean;
            cellContentAlign: import("..").HorizontalAlignType;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        title: import("vue").PropType<string | undefined>;
        round: {
            type: BooleanConstructor;
            default: boolean;
        };
        cellTitleWidth: StringConstructor;
        cellContentAlign: {
            type: import("vue").PropType<import("..").HorizontalAlignType>;
            default: undefined;
        };
        layout: import("vue").PropType<import("..").DirectionType>;
        border: {
            type: BooleanConstructor;
            default: undefined;
        };
    }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    title: import("vue").PropType<string | undefined>;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    cellTitleWidth: StringConstructor;
    cellContentAlign: {
        type: import("vue").PropType<import("..").HorizontalAlignType>;
        default: undefined;
    };
    layout: import("vue").PropType<import("..").DirectionType>;
    border: {
        type: BooleanConstructor;
        default: undefined;
    };
}>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    border: boolean;
    round: boolean;
    cellContentAlign: import("..").HorizontalAlignType;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type CellGroupProps } from './props';
export default DCellGroup;
declare module 'vue' {
    interface GlobalComponents {
        DCellGroup: typeof CellGroup;
    }
}
