import { ExtractPropTypes, PropType } from 'vue';
import { DirectionType, HorizontalAlignType } from '../common';
export declare type CellGroupProps = ExtractPropTypes<typeof CELL_GROUP_PROPS>;
export declare const CELL_GROUP_PROPS: {
    title: PropType<string | undefined>;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    cellTitleWidth: StringConstructor;
    cellContentAlign: {
        type: PropType<HorizontalAlignType>;
        default: undefined;
    };
    layout: PropType<DirectionType>;
    border: {
        type: BooleanConstructor;
        default: undefined;
    };
};
