import { DatePickerType } from './props';
import { PickerValueType } from '../picker/props';
import { DateTimePickerColumnType } from './types';
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<import("./props").DatePickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<import("./props").DatePickerValueType>;
        default: undefined;
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    title: StringConstructor;
    type: {
        type: import("vue").PropType<DatePickerType>;
        default: string;
    };
    formatter: {
        type: import("vue").PropType<import("./props").FormatterType<string>>;
        default: undefined;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}, {
    visible: import("vue").Ref<boolean>;
    columns: import("vue").Ref<{
        [x: string]: any;
        label: string;
        value: string | number;
        disabled?: boolean | undefined;
        type: "year" | "month" | "day" | "hour" | "minute" | "second";
    }[][]>;
    pickerValue: import("vue").Ref<string[]>;
    displayValue: import("vue").Ref<string>;
    handleChange: (value: PickerValueType, columnValue: DateTimePickerColumnType) => void;
    handleConfirm: (value: PickerValueType) => void;
    showPicker: () => void;
    hidePicker: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:value" | "update:model-value")[], "update:value" | "update:model-value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<import("./props").DatePickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<import("./props").DatePickerValueType>;
        default: undefined;
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    title: StringConstructor;
    type: {
        type: import("vue").PropType<DatePickerType>;
        default: string;
    };
    formatter: {
        type: import("vue").PropType<import("./props").FormatterType<string>>;
        default: undefined;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
}, {
    value: import("./props").DatePickerValueType;
    modelValue: import("./props").DatePickerValueType;
    type: DatePickerType;
    disabled: boolean;
    readonly: boolean;
    formatter: import("./props").FormatterType<string>;
    visible: boolean;
}>;
export default _default;
