import type { FormStore } from './store';
declare const _default: import("vue").DefineComponent<{
    modelItem: {
        type: import("vue").PropType<import("./types").IFormModelItem<unknown, Record<string, any>>>;
        required: boolean;
        default: () => {};
    };
    errorMessage: StringConstructor;
    store: {
        type: import("vue").PropType<FormStore>;
        required: boolean;
    };
    labelWidth: {
        type: import("vue").PropType<string | number>;
        default: number;
    };
    layout: import("vue").PropType<import("..").DirectionType>;
    colon: BooleanConstructor;
    requiredMarkPosition: {
        type: import("vue").PropType<"left" | "right">;
        default: string;
    };
    hideLabel: BooleanConstructor;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}, {
    itemClassName: string;
    errorClassName: string;
    itemDisable: import("vue").ComputedRef<any>;
    itemReadonly: import("vue").ComputedRef<any>;
    requiredMarkClassName: string;
    showRequiredMark: import("vue").ComputedRef<boolean | undefined>;
    handleChange: (value: unknown) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelItem: {
        type: import("vue").PropType<import("./types").IFormModelItem<unknown, Record<string, any>>>;
        required: boolean;
        default: () => {};
    };
    errorMessage: StringConstructor;
    store: {
        type: import("vue").PropType<FormStore>;
        required: boolean;
    };
    labelWidth: {
        type: import("vue").PropType<string | number>;
        default: number;
    };
    layout: import("vue").PropType<import("..").DirectionType>;
    colon: BooleanConstructor;
    requiredMarkPosition: {
        type: import("vue").PropType<"left" | "right">;
        default: string;
    };
    hideLabel: BooleanConstructor;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    round: boolean;
    readonly: boolean;
    labelWidth: string | number;
    hideLabel: boolean;
    colon: boolean;
    requiredMarkPosition: "left" | "right";
    modelItem: import("./types").IFormModelItem<unknown, Record<string, any>>;
}>;
export default _default;
