import Form from './form.vue';
export declare const DForm: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            disabled: boolean;
            round: boolean;
            readonly: boolean;
            labelWidth: string | number;
            hideLabel: boolean;
            colon: boolean;
            requiredMarkPosition: "left" | "right";
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            store: {
                type: import("vue").PropType<import("./store").FormStore>;
                required: boolean;
            };
            labelWidth: {
                type: import("vue").PropType<string | number>;
                default: number;
            };
            layout: import("vue").PropType<import("..").DirectionType>;
            colon: BooleanConstructor;
            requiredMarkPosition: {
                type: import("vue").PropType<"left" | "right">;
                default: string;
            };
            hideLabel: BooleanConstructor;
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "round" | "readonly" | "labelWidth" | "hideLabel" | "colon" | "requiredMarkPosition">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "change", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            store: {
                type: import("vue").PropType<import("./store").FormStore>;
                required: boolean;
            };
            labelWidth: {
                type: import("vue").PropType<string | number>;
                default: number;
            };
            layout: import("vue").PropType<import("..").DirectionType>;
            colon: BooleanConstructor;
            requiredMarkPosition: {
                type: import("vue").PropType<"left" | "right">;
                default: string;
            };
            hideLabel: BooleanConstructor;
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
        }, {
            formClassName: string;
            handleChange: import("./types").OnFormChange;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], string, {
            disabled: boolean;
            round: boolean;
            readonly: boolean;
            labelWidth: string | number;
            hideLabel: boolean;
            colon: boolean;
            requiredMarkPosition: "left" | "right";
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        store: {
            type: import("vue").PropType<import("./store").FormStore>;
            required: boolean;
        };
        labelWidth: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        layout: import("vue").PropType<import("..").DirectionType>;
        colon: BooleanConstructor;
        requiredMarkPosition: {
            type: import("vue").PropType<"left" | "right">;
            default: string;
        };
        hideLabel: BooleanConstructor;
        round: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: BooleanConstructor;
        readonly: BooleanConstructor;
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        formClassName: string;
        handleChange: import("./types").OnFormChange;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    store: {
        type: import("vue").PropType<import("./store").FormStore>;
        required: boolean;
    };
    labelWidth: {
        type: import("vue").PropType<string | number>;
        default: number;
    };
    layout: import("vue").PropType<import("..").DirectionType>;
    colon: BooleanConstructor;
    requiredMarkPosition: {
        type: import("vue").PropType<"left" | "right">;
        default: string;
    };
    hideLabel: BooleanConstructor;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    formClassName: string;
    handleChange: import("./types").OnFormChange;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", {
    disabled: boolean;
    round: boolean;
    readonly: boolean;
    labelWidth: string | number;
    hideLabel: boolean;
    colon: boolean;
    requiredMarkPosition: "left" | "right";
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export type { FormProps } from './props';
export { FormStore, type FormStoreInitialConfig } from './store';
export * from './types';
export default DForm;
declare module 'vue' {
    interface GlobalComponents {
        DForm: typeof Form;
    }
}
