import { Ref } from 'vue';
/**
 * 统一处理 zIndex
 * @param props 组件 props
 * @param autoIncrement 是否需要自增
 */
declare function useZIndex<P>(props: P & {
    zIndex?: number;
}, autoIncrement?: boolean): [Ref<number>, () => void];
export default useZIndex;
