import { CSSProperties } from 'vue';
declare const _default: import("vue").DefineComponent<{
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    src: {
        type: StringConstructor;
        default: string;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    fit: {
        type: import("vue").PropType<import("csstype").ObjectFitProperty | undefined>;
        default: string;
    };
    position: {
        type: import("vue").PropType<import("csstype").ObjectPositionProperty<string | number> | undefined>;
        default: string;
    };
    radius: (StringConstructor | NumberConstructor)[];
    round: BooleanConstructor;
    showLoading: BooleanConstructor;
    loadingIcon: {
        type: StringConstructor;
        default: string;
    };
    showError: BooleanConstructor;
    errorIcon: {
        type: StringConstructor;
        default: string;
    };
    errorText: {
        type: StringConstructor;
        default: string;
    };
}, {
    wrapperClassName: string;
    tipsClassName: string;
    wrapperStyle: import("vue").ComputedRef<CSSProperties>;
    imageStyle: import("vue").ComputedRef<CSSProperties>;
    tipsIconClassName: string;
    loading: import("vue").Ref<boolean>;
    loadError: import("vue").Ref<boolean>;
    handleLoad: () => void;
    handleError: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    src: {
        type: StringConstructor;
        default: string;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    fit: {
        type: import("vue").PropType<import("csstype").ObjectFitProperty | undefined>;
        default: string;
    };
    position: {
        type: import("vue").PropType<import("csstype").ObjectPositionProperty<string | number> | undefined>;
        default: string;
    };
    radius: (StringConstructor | NumberConstructor)[];
    round: BooleanConstructor;
    showLoading: BooleanConstructor;
    loadingIcon: {
        type: StringConstructor;
        default: string;
    };
    showError: BooleanConstructor;
    errorIcon: {
        type: StringConstructor;
        default: string;
    };
    errorText: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    width: string | number;
    height: string | number;
    round: boolean;
    position: import("csstype").ObjectPositionProperty<string | number> | undefined;
    src: string;
    alt: string;
    fit: import("csstype").ObjectFitProperty | undefined;
    showLoading: boolean;
    loadingIcon: string;
    showError: boolean;
    errorIcon: string;
    errorText: string;
}>;
export default _default;
