import Image from './image.vue';
export declare const DImage: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            width: string | number;
            height: string | number;
            round: boolean;
            position: import("csstype").ObjectPositionProperty<string | number> | undefined;
            src: string;
            alt: string;
            fit: import("csstype").ObjectFitProperty | undefined;
            showLoading: boolean;
            loadingIcon: string;
            showError: boolean;
            errorIcon: string;
            errorText: string;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            width: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
            };
            height: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
            };
            src: {
                type: StringConstructor;
                default: string;
            };
            alt: {
                type: StringConstructor;
                default: string;
            };
            fit: {
                type: import("vue").PropType<import("csstype").ObjectFitProperty | undefined>;
                default: string;
            };
            position: {
                type: import("vue").PropType<import("csstype").ObjectPositionProperty<string | number> | undefined>;
                default: string;
            };
            radius: (StringConstructor | NumberConstructor)[];
            round: BooleanConstructor;
            showLoading: BooleanConstructor;
            loadingIcon: {
                type: StringConstructor;
                default: string;
            };
            showError: BooleanConstructor;
            errorIcon: {
                type: StringConstructor;
                default: string;
            };
            errorText: {
                type: StringConstructor;
                default: string;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "width" | "height" | "round" | "position" | "src" | "alt" | "fit" | "showLoading" | "loadingIcon" | "showError" | "errorIcon" | "errorText">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            width: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
            };
            height: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
            };
            src: {
                type: StringConstructor;
                default: string;
            };
            alt: {
                type: StringConstructor;
                default: string;
            };
            fit: {
                type: import("vue").PropType<import("csstype").ObjectFitProperty | undefined>;
                default: string;
            };
            position: {
                type: import("vue").PropType<import("csstype").ObjectPositionProperty<string | number> | undefined>;
                default: string;
            };
            radius: (StringConstructor | NumberConstructor)[];
            round: BooleanConstructor;
            showLoading: BooleanConstructor;
            loadingIcon: {
                type: StringConstructor;
                default: string;
            };
            showError: BooleanConstructor;
            errorIcon: {
                type: StringConstructor;
                default: string;
            };
            errorText: {
                type: StringConstructor;
                default: string;
            };
        }>>, {
            wrapperClassName: string;
            tipsClassName: string;
            wrapperStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
            imageStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
            tipsIconClassName: string;
            loading: import("vue").Ref<boolean>;
            loadError: import("vue").Ref<boolean>;
            handleLoad: () => void;
            handleError: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            width: string | number;
            height: string | number;
            round: boolean;
            position: import("csstype").ObjectPositionProperty<string | number> | undefined;
            src: string;
            alt: string;
            fit: import("csstype").ObjectFitProperty | undefined;
            showLoading: boolean;
            loadingIcon: string;
            showError: boolean;
            errorIcon: string;
            errorText: string;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        height: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        src: {
            type: StringConstructor;
            default: string;
        };
        alt: {
            type: StringConstructor;
            default: string;
        };
        fit: {
            type: import("vue").PropType<import("csstype").ObjectFitProperty | undefined>;
            default: string;
        };
        position: {
            type: import("vue").PropType<import("csstype").ObjectPositionProperty<string | number> | undefined>;
            default: string;
        };
        radius: (StringConstructor | NumberConstructor)[];
        round: BooleanConstructor;
        showLoading: BooleanConstructor;
        loadingIcon: {
            type: StringConstructor;
            default: string;
        };
        showError: BooleanConstructor;
        errorIcon: {
            type: StringConstructor;
            default: string;
        };
        errorText: {
            type: StringConstructor;
            default: string;
        };
    }>> & import("vue").ShallowUnwrapRef<{
        wrapperClassName: string;
        tipsClassName: string;
        wrapperStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        imageStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        tipsIconClassName: string;
        loading: import("vue").Ref<boolean>;
        loadError: import("vue").Ref<boolean>;
        handleLoad: () => void;
        handleError: () => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    src: {
        type: StringConstructor;
        default: string;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    fit: {
        type: import("vue").PropType<import("csstype").ObjectFitProperty | undefined>;
        default: string;
    };
    position: {
        type: import("vue").PropType<import("csstype").ObjectPositionProperty<string | number> | undefined>;
        default: string;
    };
    radius: (StringConstructor | NumberConstructor)[];
    round: BooleanConstructor;
    showLoading: BooleanConstructor;
    loadingIcon: {
        type: StringConstructor;
        default: string;
    };
    showError: BooleanConstructor;
    errorIcon: {
        type: StringConstructor;
        default: string;
    };
    errorText: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    wrapperClassName: string;
    tipsClassName: string;
    wrapperStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    imageStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    tipsIconClassName: string;
    loading: import("vue").Ref<boolean>;
    loadError: import("vue").Ref<boolean>;
    handleLoad: () => void;
    handleError: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    width: string | number;
    height: string | number;
    round: boolean;
    position: import("csstype").ObjectPositionProperty<string | number> | undefined;
    src: string;
    alt: string;
    fit: import("csstype").ObjectFitProperty | undefined;
    showLoading: boolean;
    loadingIcon: string;
    showError: boolean;
    errorIcon: string;
    errorText: string;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type ImageProps } from './props';
export default DImage;
declare module 'vue' {
    interface GlobalComponents {
        DImage: typeof Image;
    }
}
