declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    labelClass: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: StringConstructor;
        default: string;
    };
    labelAlign: {
        type: import("vue").PropType<import("..").HorizontalAlignType>;
        default: string;
    };
    hideLabel: BooleanConstructor;
    leftIcon: {
        type: StringConstructor;
        default: string;
    };
    leftIconSize: {
        type: import("vue").PropType<string>;
        default: string;
    };
    leftIconColor: {
        type: StringConstructor;
        default: string;
    };
    colon: BooleanConstructor;
    required: BooleanConstructor;
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
    autofocus: BooleanConstructor;
    inputAlign: {
        type: import("vue").PropType<import("..").HorizontalAlignType>;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    suffix: {
        type: StringConstructor;
        default: string;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    clearable: BooleanConstructor;
    formatter: {
        type: import("vue").PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: import("vue").PropType<import("..").FieldFormatterTrigger | undefined>;
        default: string;
    };
}, {
    bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
    innerValue: import("vue").WritableComputedRef<string | number | undefined>;
    inputClassName: import("vue").ComputedRef<string>;
    handleInput: (event: Event) => void;
    handleClear: (event: MouseEvent) => void;
    handleBlur: (event: Event) => void;
    handleFocus: (event: Event) => void;
    handleClick: (event: MouseEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "blur" | "clear" | "focus" | "click-input")[], "update:model-value" | "blur" | "clear" | "focus" | "click-input", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<string | number | undefined>;
        default: undefined;
    };
    type: {
        type: import("vue").PropType<"number" | "text" | "password" | "email" | "url">;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    labelClass: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: StringConstructor;
        default: string;
    };
    labelAlign: {
        type: import("vue").PropType<import("..").HorizontalAlignType>;
        default: string;
    };
    hideLabel: BooleanConstructor;
    leftIcon: {
        type: StringConstructor;
        default: string;
    };
    leftIconSize: {
        type: import("vue").PropType<string>;
        default: string;
    };
    leftIconColor: {
        type: StringConstructor;
        default: string;
    };
    colon: BooleanConstructor;
    required: BooleanConstructor;
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
    autofocus: BooleanConstructor;
    inputAlign: {
        type: import("vue").PropType<import("..").HorizontalAlignType>;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: number;
    };
    suffix: {
        type: StringConstructor;
        default: string;
    };
    autocomplete: {
        type: StringConstructor;
        default: string;
    };
    clearable: BooleanConstructor;
    formatter: {
        type: import("vue").PropType<(value: string | number | undefined) => string>;
        default: null;
    };
    formatterTrigger: {
        type: import("vue").PropType<import("..").FieldFormatterTrigger | undefined>;
        default: string;
    };
}>> & {
    onBlur?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    "onClick-input"?: ((...args: any[]) => any) | undefined;
}, {
    name: string;
    value: string | number | undefined;
    modelValue: string | number | undefined;
    required: boolean;
    type: "number" | "text" | "password" | "email" | "url";
    label: string;
    leftIcon: string;
    leftIconSize: string;
    leftIconColor: string;
    disabled: boolean;
    suffix: string;
    readonly: boolean;
    labelWidth: string;
    labelClass: string;
    labelAlign: import("..").HorizontalAlignType;
    hideLabel: boolean;
    colon: boolean;
    placeholder: string;
    autofocus: boolean;
    inputAlign: import("..").HorizontalAlignType;
    maxlength: number;
    autocomplete: string;
    clearable: boolean;
    formatter: (value: string | number | undefined) => string;
    formatterTrigger: import("..").FieldFormatterTrigger | undefined;
}>;
export default _default;
