import Overlay from './overlay.vue';
export declare const DOverlay: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            visible: boolean;
            zIndex: number;
            duration: string | number | undefined;
            overlayClass: string;
            overlayStyle: import("vue").CSSProperties;
            closeOnClickOverlay: boolean;
            teleport: string | import("vue").RendererElement | null | undefined;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            visible: {
                type: BooleanConstructor;
                default: boolean;
            };
            zIndex: {
                type: NumberConstructor;
                default: undefined;
            };
            duration: {
                type: import("vue").PropType<string | number | undefined>;
                default: number;
            };
            overlayClass: {
                type: StringConstructor;
                default: string;
            };
            overlayStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: undefined;
            };
            closeOnClickOverlay: {
                type: BooleanConstructor;
                default: boolean;
            };
            teleport: {
                type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
                default: string;
            };
        }>> & {
            onClick?: ((...args: any[]) => any) | undefined;
            "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "visible" | "zIndex" | "duration" | "overlayClass" | "overlayStyle" | "closeOnClickOverlay" | "teleport">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "click" | "update:visible", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            visible: {
                type: BooleanConstructor;
                default: boolean;
            };
            zIndex: {
                type: NumberConstructor;
                default: undefined;
            };
            duration: {
                type: import("vue").PropType<string | number | undefined>;
                default: number;
            };
            overlayClass: {
                type: StringConstructor;
                default: string;
            };
            overlayStyle: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: undefined;
            };
            closeOnClickOverlay: {
                type: BooleanConstructor;
                default: boolean;
            };
            teleport: {
                type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
                default: string;
            };
        }>> & {
            onClick?: ((...args: any[]) => any) | undefined;
            "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
        }, {
            name: string;
            innerVisible: import("vue").WritableComputedRef<boolean | undefined>;
            style: import("vue").ComputedRef<import("vue").CSSProperties>;
            bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
            handleClose: () => void;
            onTransitionBefore: () => void;
            onTransitionAfterLeave: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click" | "update:visible")[], string, {
            visible: boolean;
            zIndex: number;
            duration: string | number | undefined;
            overlayClass: string;
            overlayStyle: import("vue").CSSProperties;
            closeOnClickOverlay: boolean;
            teleport: string | import("vue").RendererElement | null | undefined;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        visible: {
            type: BooleanConstructor;
            default: boolean;
        };
        zIndex: {
            type: NumberConstructor;
            default: undefined;
        };
        duration: {
            type: import("vue").PropType<string | number | undefined>;
            default: number;
        };
        overlayClass: {
            type: StringConstructor;
            default: string;
        };
        overlayStyle: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: undefined;
        };
        closeOnClickOverlay: {
            type: BooleanConstructor;
            default: boolean;
        };
        teleport: {
            type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
            default: string;
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
        "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        name: string;
        innerVisible: import("vue").WritableComputedRef<boolean | undefined>;
        style: import("vue").ComputedRef<import("vue").CSSProperties>;
        bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
        handleClose: () => void;
        onTransitionBefore: () => void;
        onTransitionAfterLeave: () => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    overlayClass: {
        type: StringConstructor;
        default: string;
    };
    overlayStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
        default: undefined;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
}, {
    name: string;
    innerVisible: import("vue").WritableComputedRef<boolean | undefined>;
    style: import("vue").ComputedRef<import("vue").CSSProperties>;
    bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
    handleClose: () => void;
    onTransitionBefore: () => void;
    onTransitionAfterLeave: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click" | "update:visible")[], "click" | "update:visible", {
    visible: boolean;
    zIndex: number;
    duration: string | number | undefined;
    overlayClass: string;
    overlayStyle: import("vue").CSSProperties;
    closeOnClickOverlay: boolean;
    teleport: string | import("vue").RendererElement | null | undefined;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type OverlayProps } from './props';
export default DOverlay;
declare module 'vue' {
    interface GlobalComponents {
        DOverlay: typeof Overlay;
    }
}
