import { CSSProperties } from 'vue';
declare const _default: import("vue").DefineComponent<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    overlayClass: {
        type: StringConstructor;
        default: string;
    };
    overlayStyle: {
        type: import("vue").PropType<CSSProperties>;
        default: undefined;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
}, {
    name: string;
    innerVisible: import("vue").WritableComputedRef<boolean | undefined>;
    style: import("vue").ComputedRef<CSSProperties>;
    bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
    handleClose: () => void;
    onTransitionBefore: () => void;
    onTransitionAfterLeave: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click" | "update:visible")[], "click" | "update:visible", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    overlayClass: {
        type: StringConstructor;
        default: string;
    };
    overlayStyle: {
        type: import("vue").PropType<CSSProperties>;
        default: undefined;
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    zIndex: number;
    duration: string | number | undefined;
    overlayClass: string;
    overlayStyle: CSSProperties;
    closeOnClickOverlay: boolean;
    teleport: string | import("vue").RendererElement | null | undefined;
}>;
export default _default;
