import Picker from './picker.vue';
export declare const DPicker: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            value: import("./props").PickerValueType;
            modelValue: import("./props").PickerValueType;
            disabled: boolean;
            readonly: boolean;
            visible: boolean;
            columns: import("./props").PickerColumnsType;
            controlled: boolean;
            cancelButtonText: string;
            confirmButtonText: string;
            optionHeight: number;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<import("./props").PickerValueType>;
                default: undefined;
            };
            modelValue: {
                type: import("vue").PropType<import("./props").PickerValueType>;
                default: undefined;
            };
            placeholder: StringConstructor;
            visible: BooleanConstructor;
            controlled: {
                type: BooleanConstructor;
                default: boolean;
            };
            columns: {
                type: import("vue").PropType<import("./props").PickerColumnsType>;
                default: () => never[];
            };
            title: StringConstructor;
            cancelButtonText: {
                type: StringConstructor;
                default: string;
            };
            confirmButtonText: {
                type: StringConstructor;
                default: string;
            };
            optionHeight: {
                type: NumberConstructor;
                default: number;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            onChange?: ((value: import("./props").PickerValueType, data: any) => any) | undefined;
            "onUpdate:model-value"?: ((value: import("./props").PickerValueType) => any) | undefined;
            "onUpdate:visible"?: ((value: import("./props").PickerValueType) => any) | undefined;
            onClose?: (() => any) | undefined;
            onConfirm?: ((value: import("./props").PickerValueType) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "modelValue" | "disabled" | "readonly" | "visible" | "columns" | "controlled" | "cancelButtonText" | "confirmButtonText" | "optionHeight">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: ((event: "update:model-value", value: import("./props").PickerValueType) => void) & ((event: "change", value: import("./props").PickerValueType, data: any) => void) & ((event: "update:visible", value: import("./props").PickerValueType) => void) & ((event: "close") => void) & ((event: "confirm", value: import("./props").PickerValueType) => void);
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: import("vue").PropType<import("./props").PickerValueType>;
                default: undefined;
            };
            modelValue: {
                type: import("vue").PropType<import("./props").PickerValueType>;
                default: undefined;
            };
            placeholder: StringConstructor;
            visible: BooleanConstructor;
            controlled: {
                type: BooleanConstructor;
                default: boolean;
            };
            columns: {
                type: import("vue").PropType<import("./props").PickerColumnsType>;
                default: () => never[];
            };
            title: StringConstructor;
            cancelButtonText: {
                type: StringConstructor;
                default: string;
            };
            confirmButtonText: {
                type: StringConstructor;
                default: string;
            };
            optionHeight: {
                type: NumberConstructor;
                default: number;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            onChange?: ((value: import("./props").PickerValueType, data: any) => any) | undefined;
            "onUpdate:model-value"?: ((value: import("./props").PickerValueType) => any) | undefined;
            "onUpdate:visible"?: ((value: import("./props").PickerValueType) => any) | undefined;
            onClose?: (() => any) | undefined;
            onConfirm?: ((value: import("./props").PickerValueType) => any) | undefined;
        }, {
            innerVisible: import("vue").Ref<boolean>;
            className: string;
            headerClassName: string;
            cancelBtnClassName: string;
            confirmBtnClassName: string;
            contentClassName: string;
            triggerClassName: import("vue").ComputedRef<string>;
            formattedColumns: import("vue").ComputedRef<import("./props").PickerColumnType[][]>;
            contentStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
            isCascade: import("vue").ComputedRef<boolean>;
            displayValue: import("vue").Ref<string>;
            showPicker: () => void;
            handleClose: () => void;
            onChange: (data: import("..").DataType, columnIndex: number) => void;
            handleConfirm: () => void;
            formatColumnValue: (columnIndex: number) => string | number;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("./types").EventType, string, {
            value: import("./props").PickerValueType;
            modelValue: import("./props").PickerValueType;
            disabled: boolean;
            readonly: boolean;
            visible: boolean;
            columns: import("./props").PickerColumnsType;
            controlled: boolean;
            cancelButtonText: string;
            confirmButtonText: string;
            optionHeight: number;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<import("./props").PickerValueType>;
            default: undefined;
        };
        modelValue: {
            type: import("vue").PropType<import("./props").PickerValueType>;
            default: undefined;
        };
        placeholder: StringConstructor;
        visible: BooleanConstructor;
        controlled: {
            type: BooleanConstructor;
            default: boolean;
        };
        columns: {
            type: import("vue").PropType<import("./props").PickerColumnsType>;
            default: () => never[];
        };
        title: StringConstructor;
        cancelButtonText: {
            type: StringConstructor;
            default: string;
        };
        confirmButtonText: {
            type: StringConstructor;
            default: string;
        };
        optionHeight: {
            type: NumberConstructor;
            default: number;
        };
        disabled: BooleanConstructor;
        readonly: BooleanConstructor;
    }>> & {
        onChange?: ((value: import("./props").PickerValueType, data: any) => any) | undefined;
        "onUpdate:model-value"?: ((value: import("./props").PickerValueType) => any) | undefined;
        "onUpdate:visible"?: ((value: import("./props").PickerValueType) => any) | undefined;
        onClose?: (() => any) | undefined;
        onConfirm?: ((value: import("./props").PickerValueType) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        innerVisible: import("vue").Ref<boolean>;
        className: string;
        headerClassName: string;
        cancelBtnClassName: string;
        confirmBtnClassName: string;
        contentClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        formattedColumns: import("vue").ComputedRef<import("./props").PickerColumnType[][]>;
        contentStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        isCascade: import("vue").ComputedRef<boolean>;
        displayValue: import("vue").Ref<string>;
        showPicker: () => void;
        handleClose: () => void;
        onChange: (data: import("..").DataType, columnIndex: number) => void;
        handleConfirm: () => void;
        formatColumnValue: (columnIndex: number) => string | number;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<import("./props").PickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<import("./props").PickerValueType>;
        default: undefined;
    };
    placeholder: StringConstructor;
    visible: BooleanConstructor;
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    columns: {
        type: import("vue").PropType<import("./props").PickerColumnsType>;
        default: () => never[];
    };
    title: StringConstructor;
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    onChange?: ((value: import("./props").PickerValueType, data: any) => any) | undefined;
    "onUpdate:model-value"?: ((value: import("./props").PickerValueType) => any) | undefined;
    "onUpdate:visible"?: ((value: import("./props").PickerValueType) => any) | undefined;
    onClose?: (() => any) | undefined;
    onConfirm?: ((value: import("./props").PickerValueType) => any) | undefined;
}, {
    innerVisible: import("vue").Ref<boolean>;
    className: string;
    headerClassName: string;
    cancelBtnClassName: string;
    confirmBtnClassName: string;
    contentClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    formattedColumns: import("vue").ComputedRef<import("./props").PickerColumnType[][]>;
    contentStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    isCascade: import("vue").ComputedRef<boolean>;
    displayValue: import("vue").Ref<string>;
    showPicker: () => void;
    handleClose: () => void;
    onChange: (data: import("..").DataType, columnIndex: number) => void;
    handleConfirm: () => void;
    formatColumnValue: (columnIndex: number) => string | number;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("./types").EventType, "update:value" | "update:model-value" | "change" | "update:visible" | "close" | "confirm", {
    value: import("./props").PickerValueType;
    modelValue: import("./props").PickerValueType;
    disabled: boolean;
    readonly: boolean;
    visible: boolean;
    columns: import("./props").PickerColumnsType;
    controlled: boolean;
    cancelButtonText: string;
    confirmButtonText: string;
    optionHeight: number;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export { type PickerColumnsType, type PickerColumnType, type PickerProps } from './props';
export default DPicker;
declare module 'vue' {
    interface GlobalComponents {
        DPicker: typeof Picker;
    }
}
