import { CSSProperties } from 'vue';
import { DataType } from '../common';
import { PickerColumnType, PickerValueType } from './props';
import { EventType } from './types';
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<PickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<PickerValueType>;
        default: undefined;
    };
    placeholder: StringConstructor;
    visible: BooleanConstructor;
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    columns: {
        type: import("vue").PropType<import("./props").PickerColumnsType>;
        default: () => never[];
    };
    title: StringConstructor;
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}, {
    innerVisible: import("vue").Ref<boolean>;
    className: string;
    headerClassName: string;
    cancelBtnClassName: string;
    confirmBtnClassName: string;
    contentClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    formattedColumns: import("vue").ComputedRef<PickerColumnType[][]>;
    contentStyle: import("vue").ComputedRef<CSSProperties>;
    isCascade: import("vue").ComputedRef<boolean>;
    displayValue: import("vue").Ref<string>;
    showPicker: () => void;
    handleClose: () => void;
    onChange: (data: DataType, columnIndex: number) => void;
    handleConfirm: () => void;
    formatColumnValue: (columnIndex: number) => string | number;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, EventType, "update:value" | "update:model-value" | "change" | "update:visible" | "close" | "confirm", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<PickerValueType>;
        default: undefined;
    };
    modelValue: {
        type: import("vue").PropType<PickerValueType>;
        default: undefined;
    };
    placeholder: StringConstructor;
    visible: BooleanConstructor;
    controlled: {
        type: BooleanConstructor;
        default: boolean;
    };
    columns: {
        type: import("vue").PropType<import("./props").PickerColumnsType>;
        default: () => never[];
    };
    title: StringConstructor;
    cancelButtonText: {
        type: StringConstructor;
        default: string;
    };
    confirmButtonText: {
        type: StringConstructor;
        default: string;
    };
    optionHeight: {
        type: NumberConstructor;
        default: number;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    onChange?: ((value: PickerValueType, data: any) => any) | undefined;
    "onUpdate:model-value"?: ((value: PickerValueType) => any) | undefined;
    "onUpdate:visible"?: ((value: PickerValueType) => any) | undefined;
    onClose?: (() => any) | undefined;
    onConfirm?: ((value: PickerValueType) => any) | undefined;
}, {
    value: PickerValueType;
    modelValue: PickerValueType;
    disabled: boolean;
    readonly: boolean;
    visible: boolean;
    columns: import("./props").PickerColumnsType;
    controlled: boolean;
    cancelButtonText: string;
    confirmButtonText: string;
    optionHeight: number;
}>;
export default _default;
