import { CascadeDataType, PickerColumnsType, PickerColumnType, PickerValueType } from './props';
/**
 * 查找默认一级数据
 * @param columns
 */
export declare const findCascadeFirstLevelData: (columns: CascadeDataType[]) => CascadeDataType[];
/**
 * 处理级联数据
 * @param value 当前选中的值
 * @param columns
 */
export declare const formatCascade: (value: PickerValueType, columns: CascadeDataType[]) => PickerColumnType[][];
/**
 * 查找对应数据显示值，耗时方法，一般在数据选择时调用
 * @param value 当前选择的数据
 * @param originalColumns 原始列数据
 */
export declare const findDisplayName: (value: PickerValueType, originalColumns: PickerColumnsType) => string;
