import { CSSProperties } from 'vue';
declare const _default: import("vue").DefineComponent<{
    visible: BooleanConstructor;
    title: StringConstructor;
    placement: {
        type: import("vue").PropType<import("..").PlacementType>;
        default: string;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    round: BooleanConstructor;
    closeable: BooleanConstructor;
    closeIcon: {
        type: StringConstructor;
        default: string;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
    popupClass: StringConstructor;
    popupStyle: {
        type: import("vue").PropType<CSSProperties>;
        default: {};
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    overlayClass: StringConstructor;
    overlayStyle: {
        type: import("vue").PropType<CSSProperties>;
        default: {};
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    transitionPosition: import("vue").ComputedRef<string>;
    classes: import("vue").ComputedRef<string>;
    style: import("vue").ComputedRef<CSSProperties>;
    overlayZIndex: import("vue").Ref<number>;
    isCenter: import("vue").ComputedRef<boolean>;
    bem: (el?: import("../utils").Modifiers | null | undefined, modifier?: import("../utils").Modifiers | undefined, onlyModifier?: boolean | undefined) => string;
    handleClose: () => void;
    onEnter: () => void;
    onAfterEnter: () => void;
    onLeave: () => void;
    onAfterLeave: () => void;
    handleClickIcon: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:visible" | "open" | "close" | "opened" | "closed" | "click-overlay-icon")[], "update:visible" | "open" | "close" | "opened" | "closed" | "click-overlay-icon", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    visible: BooleanConstructor;
    title: StringConstructor;
    placement: {
        type: import("vue").PropType<import("..").PlacementType>;
        default: string;
    };
    zIndex: {
        type: NumberConstructor;
        default: undefined;
    };
    duration: {
        type: import("vue").PropType<string | number | undefined>;
        default: number;
    };
    round: BooleanConstructor;
    closeable: BooleanConstructor;
    closeIcon: {
        type: StringConstructor;
        default: string;
    };
    teleport: {
        type: import("vue").PropType<string | import("vue").RendererElement | null | undefined>;
        default: string;
    };
    popupClass: StringConstructor;
    popupStyle: {
        type: import("vue").PropType<CSSProperties>;
        default: {};
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    overlayClass: StringConstructor;
    overlayStyle: {
        type: import("vue").PropType<CSSProperties>;
        default: {};
    };
    closeOnClickOverlay: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onOpen?: ((...args: any[]) => any) | undefined;
    onClose?: ((...args: any[]) => any) | undefined;
    onOpened?: ((...args: any[]) => any) | undefined;
    onClosed?: ((...args: any[]) => any) | undefined;
    "onClick-overlay-icon"?: ((...args: any[]) => any) | undefined;
}, {
    round: boolean;
    visible: boolean;
    zIndex: number;
    duration: string | number | undefined;
    overlayStyle: CSSProperties;
    closeOnClickOverlay: boolean;
    teleport: string | import("vue").RendererElement | null | undefined;
    overlay: boolean;
    placement: import("..").PlacementType;
    closeable: boolean;
    closeIcon: string;
    popupStyle: CSSProperties;
}>;
export default _default;
