import { ExtractPropTypes, PropType } from 'vue';
import { DataType, DirectionType } from '../common';
export declare type RadioGroupProps = ExtractPropTypes<typeof RADIO_GROUP_PROPS>;
export declare const RADIO_GROUP_PROPS: {
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        required: boolean;
    };
    options: {
        type: PropType<DataType[] | undefined>;
        default: undefined;
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
