import { ExtractPropTypes, PropType } from 'vue';
import { SizeType } from '../common';
export declare type SwitchProps = ExtractPropTypes<typeof SWITCH_PROPS>;
export declare const SWITCH_PROPS: {
    value: {
        type: BooleanConstructor;
        default: undefined;
    };
    modelValue: {
        type: BooleanConstructor;
        default: undefined;
    };
    size: {
        type: PropType<SizeType>;
        default: string;
    };
    loading: BooleanConstructor;
    round: {
        type: BooleanConstructor;
        default: boolean;
    };
    beforeChange: {
        type: PropType<() => Promise<boolean>>;
        default: null;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
};
