import Upload from './upload.vue';
export declare const DUpload: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            name: string;
            modelValue: import("./props").UploadListItemType[];
            data: Record<string, any>;
            disabled: boolean;
            readonly: boolean;
            multiple: boolean;
            accept: string;
            method: string;
            headerParams: Record<string, any>;
            deletable: boolean;
            capture: boolean | "user" | "environment" | undefined;
            maxSize: number;
            maxCount: number;
            previewSize: string | number;
            beforeUpload: import("./props").BeforeUploadType;
            uploadAfter: import("./props").AfterUploadType;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            modelValue: {
                type: import("vue").PropType<import("./props").UploadListItemType[]>;
                default: () => never[];
            };
            action: StringConstructor;
            accept: {
                type: StringConstructor;
                default: string;
            };
            method: {
                type: StringConstructor;
                default: string;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            data: {
                type: ObjectConstructor;
                default: () => {};
            };
            headerParams: {
                type: ObjectConstructor;
                default: () => {};
            };
            multiple: {
                type: BooleanConstructor;
                default: boolean;
            };
            deletable: {
                type: BooleanConstructor;
                default: boolean;
            };
            capture: {
                type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
                default: undefined;
            };
            maxSize: {
                type: NumberConstructor;
                default: number;
            };
            maxCount: {
                type: NumberConstructor;
                default: number;
            };
            previewSize: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            beforeUpload: {
                type: import("vue").PropType<import("./props").BeforeUploadType>;
                default: undefined;
            };
            uploadAfter: {
                type: import("vue").PropType<import("./props").AfterUploadType>;
                default: undefined;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "name" | "modelValue" | "data" | "disabled" | "readonly" | "multiple" | "accept" | "method" | "headerParams" | "deletable" | "capture" | "maxSize" | "maxCount" | "previewSize" | "beforeUpload" | "uploadAfter">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:model-value" | "change", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            modelValue: {
                type: import("vue").PropType<import("./props").UploadListItemType[]>;
                default: () => never[];
            };
            action: StringConstructor;
            accept: {
                type: StringConstructor;
                default: string;
            };
            method: {
                type: StringConstructor;
                default: string;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            data: {
                type: ObjectConstructor;
                default: () => {};
            };
            headerParams: {
                type: ObjectConstructor;
                default: () => {};
            };
            multiple: {
                type: BooleanConstructor;
                default: boolean;
            };
            deletable: {
                type: BooleanConstructor;
                default: boolean;
            };
            capture: {
                type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
                default: undefined;
            };
            maxSize: {
                type: NumberConstructor;
                default: number;
            };
            maxCount: {
                type: NumberConstructor;
                default: number;
            };
            previewSize: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            beforeUpload: {
                type: import("vue").PropType<import("./props").BeforeUploadType>;
                default: undefined;
            };
            uploadAfter: {
                type: import("vue").PropType<import("./props").AfterUploadType>;
                default: undefined;
            };
            disabled: BooleanConstructor;
            readonly: BooleanConstructor;
        }>> & {
            onChange?: ((...args: any[]) => any) | undefined;
            "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
        }, {
            wrapperClassName: string;
            triggerClassName: import("vue").ComputedRef<string>;
            triggerIconClassName: string;
            localPreviewList: import("vue").Ref<{
                url: string;
                deletable: boolean;
                loading?: boolean | undefined;
                fail?: boolean | undefined;
            }[]>;
            previewList: import("vue").ComputedRef<import("./props").UploadListItemType[]>;
            triggerStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
            canDeletable: import("vue").ComputedRef<boolean>;
            handleChange: (event: Event) => void;
            handleDeleteItem: (index: number) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "change")[], string, {
            name: string;
            modelValue: import("./props").UploadListItemType[];
            data: Record<string, any>;
            disabled: boolean;
            readonly: boolean;
            multiple: boolean;
            accept: string;
            method: string;
            headerParams: Record<string, any>;
            deletable: boolean;
            capture: boolean | "user" | "environment" | undefined;
            maxSize: number;
            maxCount: number;
            previewSize: string | number;
            beforeUpload: import("./props").BeforeUploadType;
            uploadAfter: import("./props").AfterUploadType;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./props").UploadListItemType[]>;
            default: () => never[];
        };
        action: StringConstructor;
        accept: {
            type: StringConstructor;
            default: string;
        };
        method: {
            type: StringConstructor;
            default: string;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        data: {
            type: ObjectConstructor;
            default: () => {};
        };
        headerParams: {
            type: ObjectConstructor;
            default: () => {};
        };
        multiple: {
            type: BooleanConstructor;
            default: boolean;
        };
        deletable: {
            type: BooleanConstructor;
            default: boolean;
        };
        capture: {
            type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
            default: undefined;
        };
        maxSize: {
            type: NumberConstructor;
            default: number;
        };
        maxCount: {
            type: NumberConstructor;
            default: number;
        };
        previewSize: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        beforeUpload: {
            type: import("vue").PropType<import("./props").BeforeUploadType>;
            default: undefined;
        };
        uploadAfter: {
            type: import("vue").PropType<import("./props").AfterUploadType>;
            default: undefined;
        };
        disabled: BooleanConstructor;
        readonly: BooleanConstructor;
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        wrapperClassName: string;
        triggerClassName: import("vue").ComputedRef<string>;
        triggerIconClassName: string;
        localPreviewList: import("vue").Ref<{
            url: string;
            deletable: boolean;
            loading?: boolean | undefined;
            fail?: boolean | undefined;
        }[]>;
        previewList: import("vue").ComputedRef<import("./props").UploadListItemType[]>;
        triggerStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
        canDeletable: import("vue").ComputedRef<boolean>;
        handleChange: (event: Event) => void;
        handleDeleteItem: (index: number) => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<import("./props").UploadListItemType[]>;
        default: () => never[];
    };
    action: StringConstructor;
    accept: {
        type: StringConstructor;
        default: string;
    };
    method: {
        type: StringConstructor;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    data: {
        type: ObjectConstructor;
        default: () => {};
    };
    headerParams: {
        type: ObjectConstructor;
        default: () => {};
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    deletable: {
        type: BooleanConstructor;
        default: boolean;
    };
    capture: {
        type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
        default: undefined;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    previewSize: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    beforeUpload: {
        type: import("vue").PropType<import("./props").BeforeUploadType>;
        default: undefined;
    };
    uploadAfter: {
        type: import("vue").PropType<import("./props").AfterUploadType>;
        default: undefined;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
}, {
    wrapperClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    triggerIconClassName: string;
    localPreviewList: import("vue").Ref<{
        url: string;
        deletable: boolean;
        loading?: boolean | undefined;
        fail?: boolean | undefined;
    }[]>;
    previewList: import("vue").ComputedRef<import("./props").UploadListItemType[]>;
    triggerStyle: import("vue").ComputedRef<import("vue").CSSProperties>;
    canDeletable: import("vue").ComputedRef<boolean>;
    handleChange: (event: Event) => void;
    handleDeleteItem: (index: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "change")[], "update:model-value" | "change", {
    name: string;
    modelValue: import("./props").UploadListItemType[];
    data: Record<string, any>;
    disabled: boolean;
    readonly: boolean;
    multiple: boolean;
    accept: string;
    method: string;
    headerParams: Record<string, any>;
    deletable: boolean;
    capture: boolean | "user" | "environment" | undefined;
    maxSize: number;
    maxCount: number;
    previewSize: string | number;
    beforeUpload: import("./props").BeforeUploadType;
    uploadAfter: import("./props").AfterUploadType;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export type { UploadProps } from './props';
export default DUpload;
declare module 'vue' {
    interface GlobalComponents {
        DUpload: typeof Upload;
    }
}
