import { CSSProperties } from 'vue';
import { UploadListItemType } from './props';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<UploadListItemType[]>;
        default: () => never[];
    };
    action: StringConstructor;
    accept: {
        type: StringConstructor;
        default: string;
    };
    method: {
        type: StringConstructor;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    data: {
        type: ObjectConstructor;
        default: () => {};
    };
    headerParams: {
        type: ObjectConstructor;
        default: () => {};
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    deletable: {
        type: BooleanConstructor;
        default: boolean;
    };
    capture: {
        type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
        default: undefined;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    previewSize: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    beforeUpload: {
        type: import("vue").PropType<import("./props").BeforeUploadType>;
        default: undefined;
    };
    uploadAfter: {
        type: import("vue").PropType<import("./props").AfterUploadType>;
        default: undefined;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}, {
    wrapperClassName: string;
    triggerClassName: import("vue").ComputedRef<string>;
    triggerIconClassName: string;
    localPreviewList: import("vue").Ref<{
        url: string;
        deletable: boolean;
        loading?: boolean | undefined;
        fail?: boolean | undefined;
    }[]>;
    previewList: import("vue").ComputedRef<UploadListItemType[]>;
    triggerStyle: import("vue").ComputedRef<CSSProperties>;
    canDeletable: import("vue").ComputedRef<boolean>;
    handleChange: (event: Event) => void;
    handleDeleteItem: (index: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:model-value" | "change")[], "update:model-value" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<UploadListItemType[]>;
        default: () => never[];
    };
    action: StringConstructor;
    accept: {
        type: StringConstructor;
        default: string;
    };
    method: {
        type: StringConstructor;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    data: {
        type: ObjectConstructor;
        default: () => {};
    };
    headerParams: {
        type: ObjectConstructor;
        default: () => {};
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    deletable: {
        type: BooleanConstructor;
        default: boolean;
    };
    capture: {
        type: import("vue").PropType<boolean | "user" | "environment" | undefined>;
        default: undefined;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    previewSize: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    beforeUpload: {
        type: import("vue").PropType<import("./props").BeforeUploadType>;
        default: undefined;
    };
    uploadAfter: {
        type: import("vue").PropType<import("./props").AfterUploadType>;
        default: undefined;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
}, {
    name: string;
    modelValue: UploadListItemType[];
    data: Record<string, any>;
    disabled: boolean;
    readonly: boolean;
    multiple: boolean;
    accept: string;
    method: string;
    headerParams: Record<string, any>;
    deletable: boolean;
    capture: boolean | "user" | "environment" | undefined;
    maxSize: number;
    maxCount: number;
    previewSize: string | number;
    beforeUpload: import("./props").BeforeUploadType;
    uploadAfter: import("./props").AfterUploadType;
}>;
export default _default;
